//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2007-2010 by PGMed@FIT, BUT    \n
 *
 * Authors: Ondrej Siler, siler@fit.vutbr.cz    \n
 * Date:    yyyy/mm/dd                          \n
 *
 * $Id: mdsTriContainer.h 1619 2010-02-11 08:35:23Z spanel $
 *
 * Description:
 * - Class for storing triangles created by cross section of tetrahedral mesh.
 */

#ifndef MDS_TRI_CONTAINER_H
#define MDS_TRI_CONTAINER_H

//vector entity
#include <VectorEntity/mcentity.h>

// namespace
namespace mds
{
namespace cs
{
//! base class for storing triangles created by cross section of tetrahedral mesh
class CTriContainer
{
public:
	//! constructor
	CTriContainer() {};
	
	//!destructor
	virtual ~CTriContainer() {};
	
	//! deletes all stored data
	virtual void clearTris() = 0;
	
	//! inserts new triangle
	virtual void pushTri(vctl::MCVertex * v1, vctl::MCVertex * v2, vctl::MCVertex * v3, vctl::MCTetra * tetra) = 0;	
};
} // namespace
} // namespace

#endif
