//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2003-2010 by Michal Spanel     \n
 *
 * Author:  Michal Spanel, spanel@fit.vutbr.cz  \n
 * Date:    2006/04/04                          \n
 *
 * $Id: mdsTetraBase.h 1619 2010-02-11 08:35:23Z spanel $
 *
 * Description:
 * - Base definitions.
 */

#ifndef MDS_TETRABASE_H
#define MDS_TETRABASE_H

#include "mdsTetraScaling.h"

// MDSTk
#include <MDSTk/Image/mdsDensityVolume.h>


namespace mds
{
namespace seg
{

//==============================================================================
/*!
 * Class containing definitions of base types.
 */
struct CTetraBase
{
    //! Image type.
    typedef mds::img::CDVolume tVolume;

    //! Image voxel type.
    typedef mds::img::CDVolume::tVoxel tVoxel;

    //! Class used for conversion of volume coordinates to real coordinates
    //! and backwards.
    typedef CTetraScaling tScale;
};


} // namespace seg
} // namespace mds

#endif // MDS_TETRABASE_H

