//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2003-2010 by Michal Spanel     \n
 *
 * Author:  Michal Spanel, spanel@fit.vutbr.cz  \n
 * Date:    2005/10/17                          \n
 *
 * $Id: mdsTriBase.h 1619 2010-02-11 08:35:23Z spanel $
 *
 * Description:
 * - Base definitions.
 */

#ifndef MDS_TRIBASE_H
#define MDS_TRIBASE_H

// MDSTk
#include <MDSTk/Image/mdsImage.h>


namespace mds
{
namespace seg
{

//==============================================================================
/*!
 * Class containing definitions of base types for triangular meshes.
 */
struct CTriBase
{
    //! Image type.
    typedef mds::img::CDImage tImage;

    //! Image pixel type.
    typedef mds::img::CDImage::tPixel tPixel;
};


} // namespace seg
} // namespace mds

#endif // MDS_TRIBASE_H

